#!/bin/tcsh -f
# Script to measure archive monthly usage

set SCRIPT_FOLDER     = /home/ssaops/ssaComponents/crontab-scripts
set LOGFILE           = /tmp/archiveMonthlyUsage.`date +%y%m%d_%H%M%S`.log
set EMAIL_LIST        = esdc_soho_logs@sciops.esa.int
set EMAIL_SUBJECT_TAG = ARCHIVE_USAGE
set OUTPUT_FILE       = externalActiveIPAddresses.output
set OUTPUT_FILE2      = internalActiveIPAddresses.output
set OUTPUT_FILE3      = externalDataDownloaded.output
set OUTPUT_FILE4      = internalDataDownloaded.output
set HOSTNAME          = ssa.esac.esa.int
set PORT              = 8300
set USERNAME          = ssa_dao
set DATABASE          = soho

psql -h $HOSTNAME -p $PORT -U $USERNAME $DATABASE -o $OUTPUT_FILE < $SCRIPT_FOLDER/externalActiveIPAddresses.sql
psql -h $HOSTNAME -p $PORT -U $USERNAME $DATABASE -o $OUTPUT_FILE2 < $SCRIPT_FOLDER/internalActiveIPAddresses.sql
psql -h $HOSTNAME -p $PORT -U $USERNAME $DATABASE -o $OUTPUT_FILE3 < $SCRIPT_FOLDER/externalDataDownloaded.sql
psql -h $HOSTNAME -p $PORT -U $USERNAME $DATABASE -o $OUTPUT_FILE4 < $SCRIPT_FOLDER/internalDataDownloaded.sql

echo '##############################################################'     | tee -a $LOGFILE
echo " External Active IP Addresses" 				          | tee -a $LOGFILE
echo " `date` "							  	  | tee -a $LOGFILE
echo '##############################################################'     | tee -a $LOGFILE
cat $OUTPUT_FILE >> $LOGFILE
echo '##############################################################'     | tee -a $LOGFILE


echo '##############################################################'     | tee -a $LOGFILE
echo " Internal Active IP Addresses" 				          | tee -a $LOGFILE
echo " `date` "							  	  | tee -a $LOGFILE
echo '##############################################################'     | tee -a $LOGFILE
cat $OUTPUT_FILE2 >> $LOGFILE
echo '##############################################################'     | tee -a $LOGFILE

echo '##############################################################'     | tee -a $LOGFILE
echo " External Data Downloaded" 				          | tee -a $LOGFILE
echo " `date` "							  	  | tee -a $LOGFILE
echo '##############################################################'     | tee -a $LOGFILE
cat $OUTPUT_FILE3 >> $LOGFILE
echo '##############################################################'     | tee -a $LOGFILE

echo '##############################################################'     | tee -a $LOGFILE
echo " Internal Data Downloaded" 				          | tee -a $LOGFILE
echo " `date` "							  	  | tee -a $LOGFILE
echo '##############################################################'     | tee -a $LOGFILE
cat $OUTPUT_FILE4 >> $LOGFILE
echo '##############################################################'     | tee -a $LOGFILE

echo ''                                                                   | tee -a $LOGFILE
echo 'Check executed queries at:'		                          | tee -a $LOGFILE
echo 'http://satscm.esac.esa.int/trac/SSA/wiki/SsaStats'	          | tee -a $LOGFILE

cat $LOGFILE | /bin/mailx -s "[$EMAIL_SUBJECT_TAG] SSA Monthly Usage" $EMAIL_LIST
rm $LOGFILE
rm $OUTPUT_FILE
rm $OUTPUT_FILE2
rm $OUTPUT_FILE3
rm $OUTPUT_FILE4
