-- Volume of data downloaded per month -> External
select
extract(year from start_time) as year,
extract(month from start_time) as month,
sum(size)/1024/1024/1024 as external_download_data_GB,
sum(size)/1024/1024 as external_download_data_MB,
sum(size)/1024 as external_download_data_KB,
sum(size) as external_download_data_Bytes
from controls.v_data_retrieval_log
where username != 'junit' and username != 'nagios'
and not controls.is_ip_local(internet_site)
and (start_time 
	BETWEEN date (extract(year from now())||'-'||extract(month from now())||'-01') - interval '1 month'
	and date (extract(year from now())||'-'||extract(month from now())||'-01')
)
group by year, month
